- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4d15cc40-39f4-487f-b489-63a094973e68
    creation_time: 2023-02-17T13:36:30.275977Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/seq-3.c
      input_file_hashes:
        c/loop-invgen/seq-3.c: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/seq-3.c
    file_hash: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
    line: 13
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: 0 <= k && k == i0 && (i0 <= n0 || n0 < 0)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7f8d80fe-a741-412b-83fe-38d10bc74048
    creation_time: 2023-02-17T13:36:30.276160Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/seq-3.c
      input_file_hashes:
        c/loop-invgen/seq-3.c: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/seq-3.c
    file_hash: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
    line: 19
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: k == i0 + i1 && i0 >= 0 && i0 >= n0 && i1 >= 0 && (i1 <= n1 || n1 < 0)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7d4d1d2c-bd43-4849-a596-2cd9ef72681e
    creation_time: 2023-02-17T13:36:30.276247Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/seq-3.c
      input_file_hashes:
        c/loop-invgen/seq-3.c: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/seq-3.c
    file_hash: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
    line: 25
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: k + j1 == i0 + i1 && i0 >= n0 && i1 >= n1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 703df4d2-44a3-4491-afff-fc88294c9a3a
    creation_time: 2023-02-17T13:36:30.276536Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/seq-3.c
      input_file_hashes:
        c/loop-invgen/seq-3.c: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/seq-3.c
    file_hash: 68efa405fb7dff9fa020b11fb9bfb5106859f44a0cc841d47b9a402b3af0e3f3
    line: 27
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k > 0
    type: assertion
    format: C

